slyfox      17/08/07 08:32:12

  Modified:             make-tarball.sh
  Log:
  glibc patches: add support for 9999 patchset into 'make-tarball.sh'
  
  gentoo's toolchain-glibc.eclass relies on locale-gen presence.
  It's stored in extra/ directory of patchset.
  
  This patch allows building patchset for 9999 live packages
  with zero patches but everything else included.
  
  Reported-by: Jan Ziak
  Bug: https://bugs.gentoo.org/609676

Revision  Changes    Path
1.11                 src/patchsets/glibc/make-tarball.sh

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo/src/patchsets/glibc/make-tarball.sh?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo/src/patchsets/glibc/make-tarball.sh?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo/src/patchsets/glibc/make-tarball.sh?r1=1.10&r2=1.11

Index: make-tarball.sh
===================================================================
RCS file: /var/cvsroot/gentoo/src/patchsets/glibc/make-tarball.sh,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- make-tarball.sh     7 Aug 2012 20:15:55 -0000       1.10
+++ make-tarball.sh     7 Aug 2017 08:32:12 -0000       1.11
@@ -31,9 +31,15 @@
 rm -f ${PN}-${PV}-*.tar.bz2
 
 mkdir -p tmp/patches
-cp -r ${PV}/*.patch ../README* tmp/patches/ || exit 1
+# copy README.Gentoo.patches
+cp ../README* tmp/patches/ || exit 1
+if [[ ${PV} = 9999 ]]; then
+       echo "Warning: ${PV} patchset includes only extra/"
+else
+       cp ${PV}/*.patch tmp/patches/ || exit 1
+fi
 cp -r extra tmp/ || exit 1
-cp ${PV}/README* tmp/patches/ 2>/dev/null
+cp ${PV}/README* tmp/patches/ 2>/dev/null || exit
 
 if [[ -d ${PV}/man ]] ; then
        mkdir tmp/man




Reply via email to